Subject: Re: [Gen-art] Review of draft-ietf-aqm-codel-07

From: Alissa Cooper <[email-masked]>
Date: Tue, 11 Apr 2017 15:36:06 -0400

Fernando, thanks for your review. Will leave it the authors/WG to consider your comments. On your major point, personally I don’t find it problematic for the diagrams to be archived elsewhere, given our current limitations of ASCII art and the clear presentation in the referenced doc/session in TSVAREA.

Alissa

> On Mar 25, 2017, at 11:02 PM, Fernando Gont <[email-masked]> wrote:
> 
> Reviewer: Fernando Gont
> Review result: Ready with Issues
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-aqm-codel-07
> Reviewer: Fernando Gont
> Review Date: 2017-03-25
> IETF LC End Date: 2017-03-27
> IESG Telechat date: 2017-04-13
> 
> Summary:
> The document is well written. However, there seem to be too many
> details that are left out in other associated documents. Whereas such
> details (including figures) are needed to understand this document,
> they should be included here. Either provide full explanations or
> summarize the outcome without details (there's text that somehow
> relies on the reading finding such figures elsewhere).
> 
> 
> Major issues:
> * Section 5.1, page 16:
>>   A more detailed explanation with many pictures can be found in
>>   http://www.ietf.org/proceedings/84/slides/slides-84-tsvarea-4.pdf
> .
> 
> Unless I'm missing something, if this document is specifying CoDel,
> then all such details should be here.
> 
> 
> Minor issues:
> * General:
> The document would benefit from a terminology section. For example,
> only well into the I-D one finds definitions of terms such as "sojourn
> times" or "target setpoint". Not sure if those terms are supposed to
> be trivial/obvious to most people reading this document, but their
> non-definition left me trying to figure out what the terms were about
> before I was ale to better understand what you were describing.
> 
> 
> 
> Page 3, Section 1:
>>   o  simple and efficient implementation (can easily span the
> spectrum
>>      from low-end, linux-based access points and home routers up
> to
>>      high-end commercial router silicon)
> 
> There seems to be an unnecesary implicit "judgement" here, associating
> linux-based with low-end, and commercial with high end. I suggest you
> modify the text.
> 
> 
> Page 10:
>>           count_ = (delta > 1 && now - drop_next_ < 16*interval_)?
> 
> For clarity, I'd use additional parenthesis here.
> 
> 
> Nits/editorial comments: 
> * Page 17:
>> The power vs. f curve for any AIMD TCP is monotone decreasing. 
> 
> Please expand the acronym.
> 
> 
> * Page 17:
>>   simulation that this result holds for Reno, Cubic, and
>>   Westwood[TSV84].
> 
> Missing space.
> 
> Thanks!
> Fernando
> 
> 
> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art